<div class="row">
  <div class="col-lg-12">
    <h1 class="page-header">Teams</h1>
  </div>
  <!-- /.col-lg-12 -->
</div>

<div class="row">
  <div class="col-lg-12">

    <table id="dataTable" width="100%" class="table table-striped table-bordered table-hover" [mfData]="teams"
           #mf="mfDataTable" [mfSortBy]="'name'">
      <thead>
      <tr>
        <th style="width: 50%">
          <mfDefaultSorter by="name">Name</mfDefaultSorter>
        </th>
        <th style="width: 20%">
          <mfDefaultSorter by="pointsLeft">Points Left</mfDefaultSorter>
        </th>
        <th style="width: 20%">
          <mfDefaultSorter by="pointsSpent">Points Spent</mfDefaultSorter>
        </th>
        <th style="width: 10%">
          Options
        </th>
      </tr>
      </thead>
      <tbody>
      <template ngFor let-team [ngForOf]="mf.data" let-i="index">
        <tr *ngIf="editedTeamNumber!=i">
          <td>{{team.name}}</td>
          <td>{{team.pointsLeft}}</td>
          <td> {{team.pointsSpent}}</td>
          <td>
            <div class="options-buttons-wrapper">
              <button class="btn btn-info btn-sm" (click)="enableTeamEdit(i, team)" [disabled]="!team.editable">
                <i class="fa fa-pencil"></i></button>
              <button class="btn btn-danger btn-sm" (click)="removeTeam(team)" [disabled]="!team.editable">
                <i class="fa fa-trash-o"></i></button>
            </div>
          </td>
        </tr>
        <tr *ngIf="editedTeamNumber==i">
          <td><input type="text" class="form-control" [(ngModel)]="editedTeamName" name="editedTeamName" #editedTeamInput></td>
          <td></td>
          <td></td>
          <td>
            <div class="options-buttons-wrapper ">
              <button class="btn btn-default btn-sm" (click)="editedTeamNumber=-1">
                <i class="fa fa-times"></i></button>
              <button class="btn btn-success btn-sm" (click)="updateTeam(team)" [disabled]="!editedTeamInput.value">
                <i class="fa fa-check"></i></button>
            </div>
          </td>
        </tr>
      </template>

      <!--New team row-->
      <tr>
        <td><input type="text" class="form-control" [(ngModel)]="newTeamName" name="newTeamName" #newTeamInput></td>
        <td></td>
        <td></td>
        <td>
          <div class="options-buttons-wrapper ">
            <button class="btn btn-success btn-sm" (click)="createTeam()" [disabled]="!newTeamInput.value">
              <i class="fa fa-plus"></i></button>
          </div>
        </td>
      </tr>

      </tbody>
    </table>


  </div>

  <form id="demo-form2" data-parsley-validate="" class="form"
        (ngSubmit)="editPointsPerTeam()" #pointsForm="ngForm">
    <div class="col-xs-6 token-group">
      <h3>Points per team</h3>
      <div class="input-group input-group">
        <input type="text" class="form-control" name="token" [(ngModel)]="pointsPerTeam" required>
        <span class="input-group-btn">
        <button class="btn btn-success" type="submit" [disabled]="!pointsForm.form.valid">{{buttonText}}</button>
      </span>
      </div><!-- /input-group -->
    </div><!-- /.col-lg-6 -->
  </form>
  <!-- /.col-lg-12 -->
</div>
